Protocols
GET /v1/protocols for 11 protocol modules with audit status and vault counts.
GET /v1/protocols
List all tracked protocols with vault counts and TVL.
Example
curl https://api.philidor.io/v1/protocolsResponse
{
"data": [
{
"id": "morpho",
"name": "Morpho",
"logo_url": "/protocols/morpho.svg",
"vault_count": 150,
"tvl": 2500000000
}
]
}GET /v1/protocols/{id}
Get protocol detail with metadata, vault list, versions, audits, and incident history.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
| id | string | Protocol ID such as aave, morpho, spark, compound, uniswap, yearn, beefy, or nest |
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
| vaultPage | number | 1 | Vault page inside the response |
| vaultLimit | number | 20 | Vaults per page |
Example
curl https://api.philidor.io/v1/protocols/morphoResponse
{
"data": {
"protocol": {
"id": "morpho",
"name": "Morpho",
"logo_url": "/protocols/morpho.svg",
"website_url": "https://morpho.org"
},
"vaults": [],
"vaultTotal": 150,
"versions": [],
"incidents": []
}
}